# Generated by Django 4.1.6 on 2023-04-05 17:16

from django.db import migrations, models

import instagram_utils.models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="InstagramPost",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "author_name",
                    models.CharField(max_length=64, verbose_name="Jméno autora"),
                ),
                (
                    "author_username",
                    models.CharField(max_length=64, verbose_name="Username autora"),
                ),
                (
                    "timestamp",
                    models.DateTimeField(
                        default=instagram_utils.models.get_current_datetime,
                        verbose_name="Datum a čas vytvoření",
                    ),
                ),
                (
                    "caption",
                    models.TextField(blank=True, null=True, verbose_name="Popis"),
                ),
                (
                    "image",
                    models.ImageField(upload_to="instagram", verbose_name="Obrázek"),
                ),
                ("url", models.URLField(blank=True, null=True, verbose_name="Odkaz")),
            ],
            options={
                "ordering": ("timestamp",),
            },
        ),
    ]
